[Linux]CentOS下安裝php5.4以上版本

ㄧ般來說,在新配置好的Centos 6環境下,透過yum安裝php只會有5.3.x的版本(如下圖)。其實php5.3版,官方已經沒有在做後續的維護更新了,像之前爆出的php漏洞,5.3版也只能透過非官方人士釋出的修正檔來做修補。



因此我們可以透過EPEL及remi的repo來安裝,EPEL是由Fedora Project的志願者來維護的,詳情請參閱維基百科,至於remi也一直在持續更新php和mysql。順帶一提,這個安裝方式支持ipv6,我已經在純ipv6環境下測試過了(需安裝yum-fastestmirror);自己手動編譯的話除了麻煩,花費時間也比較長

首先,我們先安裝epel repo

 

安裝完畢後可以在 /etc/yum.repos.d/ 目錄下看到新增的repo檔

 

接下來,安裝remi repo

 

安裝後新增的repo檔,php5.4、5.5、5.6請使用remi.repo,php7則是remi-php70.repo

 

然後選擇對應的repo來安裝就可以了(ipv6需等待較長的時間來連接支援的鏡像)

 

過程中,會一並安裝apache和其他所需套件

 

最後記得啟動apache並設定開機啟動

 

連上你的ip後,看到這個畫面先不要高興得太早~
要確定php安裝成功的話,可以上傳一個php檔或查看phpinfo

 

使用文書編輯器新建一個php頁面

 

內容如下

 

應該就能夠在 http://{你的ip}/phpinfo.php 看到php的安裝版本和相關資訊了

 

參考資料:[CentOS] 使用 remi repo 來裝新版的PHP,MySQL – Knuckles_note板 – Disp BBS

 

 

本站文章除特別註明外,均由EC快飛製作,以創用CC 姓名標示-非商業性-相同方式分享 4.0 國際 授權條款釋出。
轉載請註明『文章轉載自:[Linux]CentOS下安裝php5.4以上版本』。